---
title: Glossary
---

## Recipe

A recipe is what we call the configuration files that are used to deploy an [app](/glossary#app). When you run `abra app deploy <domain>`, `abra` is reading a recipe configuration, such as [the gitea recipe](https://git.coopcloud.tech/coop-cloud/gitea), in order to know how to deploy a new Gitea instance. When we speak of a "digital configuraiton commons", we're primarily referring to the [growing collection of recipes](https://git.coopcloud.tech/coop-cloud).

## App

An app is a website, tool or otherwise libre software that you use. E.g. Wordpress, Gitea, Jitsi, Nextcloud, etc.

## Abra

A command-line tool that has been developed specifically in the context of the Co-op Cloud project for the purpose of making day-to-day operations for [operators](/operators/) and [maintainers](/maintainers/) as convenient as possible. It is libre software, written in [Go](https://go.dev/) and maintained and extended by the community. You can find the source [here](https://git.coopcloud.tech/coop-cloud/abra).

## Container

TODO.

## Stack

One or more [services](/glossary#service) running together to provide a functionality. An [app](/glossary#app)

## Docker

TODO.

## Service

A single [Docker](/glossary#docker) [container](/glossary#container) that is a part of a [stack](glossary#stack).

## Deployment

The act of assembling a [Docker](glossary#docker) [stack](/glossary#stack) described by a [recipe](/glossary#recipe) configuration.

## Image

A template for creating [containers](/glossary#container), describing their file structure and installed binaries.

## Container

An instance of an [image](/glossary#image), running processes that are isolated from the host system.

## Environment variables

Variables passed from the shell to processes invoked by it. They are used for configuring [services](/glossary#service).

## The `.env` file

A file contained in a [recipe](/glossary#recipe) describing the contents of [environmental variables](/glossary#environment-variables).

## Proxy network

A virtual network created on the server machine used for communicating between [services](/glossary#service). Any [service](/glossary#service) can be plugged into more than one [network](/glossary#network), allowing for control over data sharing between them.

## Secret

[Docker](/glossary#docker) uses those for securely storing data such as passwords. They are stored encrypted on disk and mounted inside the [containers](/glossary#container) as files that can be read that contain the secret.

## Volume

A directory that can be mounted inside a [Docker](/glossary#docker) [container](/glossary#container) to store data. Because [containers](/glossary#container) are meant to be non-changeable and disposable, any data that is supposed to not be lost between updates or restarts is stored in volumes.
